Subject: Re: FITS to GIF Image Conversion?

From: dbriggs at zia.aoc.nrao.edu (Daniel Briggs)
Date: Thu, 1 Oct 92 05:51:27 GMT

In article <193 at neftis.CSS.GOV>
  stevem at neftis.CSS.GOV (Steve Masters) writes:
>In article <1992Sep29.043951.13504 at news.iastate.edu> F1.DAO at isumvs.iastate.edu (David Oesper) writes:
>>Is there a FITS to GIF conversion program available for the IBM or
>>Macintosh?
>
>The PBMPLUS suite of programs can get you from FITS to GIF.  I believe
>there is a port for the IBM-PC...perhaps others on the net can verify
>this.

Well, the FITS reader built into the PBM+ package is very primitive.  I
have a slightly enhanced version that I wrote for my own purposes.  In
particular, it handles floating point values for machines which use
IEEE-754, (I think that the 80x87 hardware uses this, so unless the byte
order is screwed up, it might work on a PC with hardware floating point.)
I added a prescan for scaling constants, in the absence of DATAMIN &
DATAMAX, forceable min and max, and cleaned up the scaling code, which was
incorrect for non-identity BZER & BSCALE.

I make no claim that this code is suitable for any purpose other than that
for which I wrote it.  Eventually I'll get around to sending it back to Jef,
but I wanted to see if routine use turned up any more problems.  However, if
anyone wants the code now, I'll send it to them.

-- 
| Daniel Briggs  (dbriggs at nrao.edu)                      |        USPA B-14993
| New Mexico Tech / National Radio Astronomy Observatory |            DoD #387
| P.O. Box O / Socorro, NM 87801   (505) 835-7391        |
Support the League for Programming Freedom  (info from league at prep.ai.mit.edu)